Mailinglist Archive: opensuse-bugs (4297 mails)

< Previous Next >
[Bug 1040145] ruby2.3 package installs ruby2.1 as well
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 29 May 2017 13:28:08 +0000
  • Message-id: <bug-1040145-21960-4o2sZNn2lP@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1040145
http://bugzilla.opensuse.org/show_bug.cgi?id=1040145#c8

--- Comment #8 from Dimitris Karakasilis <dkarakasilis@xxxxxxxx> ---
So in the container I do:

/:/# zypper ar
https://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/openSUSE_Leap_42.2/devel:languages:ruby:extensions.repo
Adding repository 'Ruby Extensions (openSUSE_Leap_42.2)'
........................................................[done]
Repository 'Ruby Extensions (openSUSE_Leap_42.2)' successfully added
Enabled : Yes
Autorefresh : No
GPG Check : Yes
Priority : 99
URI :
http://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/openSUSE_Leap_42.2/


/:/# zypper in ruby2.3 ruby2.3-rubygem-gem2rpm
Loading repository data...
Reading installed packages...
Package 'ruby2.3-rubygem-gem2rpm' not found.
Resolving package dependencies...

The following 10 NEW packages are going to be installed:
fdupes libruby2_1-2_1 libruby2_3-2_3 libyaml-0-2 ruby-common ruby2.1
ruby2.1-rubygem-gem2rpm ruby2.1-stdlib ruby2.3
ruby2.3-stdlib

10 new packages to install.
Overall download size: 7.7 MiB. Already cached: 0 B. After the operation,
additional 30.2 MiB will be used.
Continue? [y/n/? shows all options] (y):


So "ruby2.3-rubygem-gem2rpm" still doesn't exist. Also the "ruby2.1" is still
installed. Is that what you proposed or did I misunderstood? (or did I add a
wrong repo?)

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >